// include para FILE, 'fopen', 'fgetc', 'fclose'
#include <stdio.h>
// includes para 'open':
#include <sys/types.h>
#include <sys/stat.h> 
#include <fcntl.h>
// include para 'write', 'close'
#include <unistd.h>

#define BUFFER_SIZE 10

int main (int argc, char *argv[]) {

  // Descritores de arquivos:
  FILE *parq1;
  int fd, i;
	float f_num = 87.34;

  char *buffer1 = "Primeira frase do arquivo!\n";
  char *buffer2 = "\nFonte: wikipedia.org\n";

  // Cria um arquivo novo para escrita:
  parq1 = fopen("exemplo3.txt", "w");

  // Abre um arquivo existente para anexar bytes:
  fd = open("exemplo2.txt", O_WRONLY | O_APPEND);

  // 'fwrite' escreve um bloco de bytes:
  fwrite(buffer1, 1, BUFFER_SIZE, parq1);

  // 'fputc' escreve um unico caractere (byte):
  for (i = 0; i < 10; i++) {
    fputc(buffer1[BUFFER_SIZE + i], parq1);
  }

	// 'fprintf' escreve dados com formato especifico:
	fprintf(parq1, "\n%.2f\n", f_num);

	// 'fputs' escreve uma string completa:
	fputs(buffer1, parq1);

  // 'write' escreve um bloco de bytes:
  write(fd, buffer2, BUFFER_SIZE);

  fclose(parq1);
  close(fd);  

  return 0;
}
